%define lib_major       2
%define lib_name        %mklibname ffado %{lib_major}
%define lib_name_devel  %mklibname ffado -d

Name:           libffado
Summary:        Firewire audio drivers for JACK
Version:        2.3.0
Release:        %mkrel 1
License:        GPLv2+ and GPLv3
Group:          Sound
URL:            http://www.ffado.org/
Source:         http://www.ffado.org/files/%{name}-%{version}.tar.xz

BuildRequires:  scons
BuildRequires:  libraw1394-devel
BuildRequires:  libiec61883-devel
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  python-qt4-devel
BuildRequires:  expat-devel
BuildRequires:  dbus-devel
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(dbus-c++-1)
BuildRequires:  python-dbus

%description
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the
firewire backends of the jack audio connection kit sound server
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

#-----------------------------------
%package -n %{lib_name}

Summary:        Firewire audio drivers for JACK
Group:          Sound

%description -n %{lib_name}
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the
firewire backends of the jack audio connection kit sound server
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

%files -n %{lib_name}
%doc AUTHORS ChangeLog LICENSE.* README
%{_libdir}/libffado.so.%{lib_major}
%{_libdir}/libffado.so.%{lib_major}.*

#-----------------------------------
%package -n ffado
Summary:        Firewire audio driver applications and utilities
Group:          Sound
Requires:       %{lib_name} = %{version}-%{release}
Requires:       python-dbus
Requires:       qt4-qtdbus
Requires:       python-qt4

%description -n ffado
Configuration utilities for the FFADO firewire drivers.

%files -n ffado
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/python
%{_datadir}/%{name}/configuration
%{_datadir}/%{name}/*.xml
%{_datadir}/applications/%{_real_vendor}-ffado-mixer.desktop
%{_datadir}/%{name}/icons/hi64-apps-ffado.png
%{_datadir}/dbus-1/services/org.ffado.Control.service
/lib/udev/rules.d/60-ffado.rules
%{python2_sitelib}/ffado
%{_mandir}/man1/*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:        Firewire audio driver library development headers
Group:          Sound
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against libffado.

%files -n %{lib_name_devel}
%{_libdir}/%{name}.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------
%prep
%setup -q 
%apply_patches

%build
%scons PREFIX=%{_prefix} LIBDIR=%{_libdir} COMPILE_FLAGS="%{optflags} -std=gnu++11"

%install
%scons PREFIX=%{_prefix} LIBDIR=%{_libdir} MANDIR=%{_mandir} \
      DESTDIR=%{buildroot} install

install -m 0644 support/tools/listirqinfo.py %{buildroot}%{_datadir}/libffado/python
install -m 0644 support/tools/helpstrings.py %{buildroot}%{_datadir}/libffado/python

mkdir -p %{buildroot}%{_datadir}/applications
#make desktop file
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-ffado-mixer.desktop <<EOF
[Desktop Entry]
Name=Ffado Mixer
Comment=Mixer for Firewire Audio Devices
Exec=ffado-mixer
Icon=hi64-apps-ffado
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF


%changelog
* Fri May 18 2018 adrianomorselli <adrianomorselli> 2.3.0-1uplos2018
- update
